<?php

function bosa_business_default_styles(){

	// Begin Style
	$css = '<style>';

	$feature_posts_height = get_theme_mod( 'feature_posts_height', 320 );
	$css .= '
		@media only screen and (min-width: 992px) {
			.feature-posts-content-wrap .feature-posts-image {
				height: '. esc_attr( $feature_posts_height ) .'px;
				overflow: hidden;
			}
		}
	';

	if( get_theme_mod( 'feature_posts_title_alignment', 'align-bottom' ) == 'align-center' ){
		$css .= '
			.feature-posts-layout-one .feature-posts-image {
				-webkit-align-items: center;
	    		-moz-align-items: center;
	    		-ms-align-items: center;
	    		-ms-flex-align: center;
	    		align-items: center;
	    	}
		';
	}elseif( get_theme_mod( 'feature_posts_title_alignment', 'align-bottom' ) == 'align-top' ) {
		$css .= '
			.feature-posts-layout-one .feature-posts-image {
				-webkit-align-items: flex-start;
	    		-moz-align-items: flex-start;
	    		-ms-align-items: flex-start;
	    		-ms-flex-align: flex-start;
	    		align-items: flex-start;
	    	}
	    	.feature-posts-layout-one .feature-posts-content {
	    		margin-top: 20px;
	    	}
		';
	}elseif( get_theme_mod( 'feature_posts_title_alignment', 'align-bottom' ) == 'align-bottom' ) {
		$css .= '
			.feature-posts-layout-one .feature-posts-image {
				-webkit-align-items: flex-end;
	    		-moz-align-items: flex-end;
	    		-ms-align-items: flex-end;
	    		-ms-flex-align: flex-end;
	    		align-items: flex-end;
	    	}
	    	.feature-posts-layout-one .feature-posts-content {
	    		margin-bottom: 25px;
	    	}
		';
	}

	// End Style
	$css .= '</style>';

	// return generated & compressed CSS
	echo str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $css); 
}
add_action( 'wp_head', 'bosa_business_default_styles', 99 );